/* déclaration des styles dans l'ordre d'utilisation */

body {
    background-color: white;
    font-family: verdana, Arial, sans-serif;
    font-size: 14px;
    color: #303030;
}

article, aside, header, figcaption, footer, nav {
    display: block;
}

body header {
    position: absolute;
    top: 0px;
    left: 240px;
    width: 800px;
    height: 200px;
    background-image: url('../images/fondEnTetePage.png');
    background-repeat: no-repeat;
    background-position: left;
}

body header h1 {
    padding-left: 32px;
    font-weight:bold;
    font-size:32px;
    margin-top:16px;
    margin-bottom:6px;
    color: #e1d791;
}

body header nav {
    position: absolute;
    top: 172px;
    left: 0px;
    width: 792px;
    padding: 4px;
    text-align: right;
}

body header nav a {
    color: white;
    display: inline-block;
}

body header nav a + a {
    margin-left: 6px;
}

body header nav a:hover {
    color: yellow;
}

body header nav form {
    display: inline; 
}

body aside {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 4px;
    width: 232px;
    min-height: 192px;
    background-color: #e1d791;
    font-weight: bold;
    color: black; 
}

body aside + aside { /* second ASIDE dans BODY réservé aux inserts publicitaires */
    position: absolute;
    top: 242px;
    left: 0px;
    width: 232px;
    background-color: white;
    text-align: center;
}

body aside p {
    margin-bottom: 6px;
}

aside h2 {
    margin-top: 8px;
    margin-bottom: 2px;
    font-size: 16px;
    color: #3f3f3f;
}

aside p {
    margin-top: 0px;
    margin-bottom: 1px;
}

aside p:hover {
    background-color: #fcca73;
}


article {
    position: absolute;
    top: 200px;
    left: 240px;
    width: 800px;
    padding-bottom: 40px;
}

article figure {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

article figure figcaption {
    margin-top: 12px;
    text-align: center;
    width: 100%;
    background-color: #f1e7c1;
    color: black;
    font-style: italic;
    width: 70%;
    margin-left: auto; margin-right: auto;
    padding: 6px;
}

body article h1 {
    width: 788px;
    height: 40px;
    background-color: #f1e7c1;
    padding-left: 12px;
    margin-top: 0px;
    padding-top: 12px;
}

body article header h1 {
    font-size: 26px;
    font-weight: bold;
}

/* @TODO: ici gestion FIGURE... */

article h2 {
    font-size: 16px;
    border-bottom: 2px solid #b1a761;
    background-color: #e1d791;
    height: 24px;
    padding-top: 6px; padding-left: 8px;
    margin-top: 18px;
}

article p {
    margin-top: 0px;
    margin-bottom: 6px;
    padding-left: 6px;
}

article ul li p {
    margin-top: 6px;
}

article ul {
    margin-top: 0px;
    margin-bottom: 6px;
}

article ul li {
    margin-bottom: 6px;
}

article ol {
    margin-top: 0px;
    margin-bottom: 6px;
}

article ol li {
    margin-bottom: 6px;
}

article code {
    color: black;
    font-weight: bold;
}

article footer {
    margin-top: 24px;
    text-align: center;
}

.pubHorizontale {
    border: 1px dotted #e1d791;
    min-width: 728px; height: 90px;
}

.highlight_source {
    margin-left: 32px;
    color: black;
    font-family: monospace;
    padding: 4px;
    border: 1px dotted #a7a7a7;
    background-color: #f0f0f0;
    margin-right: 0px;
}

.ourse {
    font-weight: bold;
}

.encadre {
    border: 1px solid #a0a0a0;
    padding: 4px;
    width: 100%;
}

.nouveau:after { 
    content: " *** NOUVEAU ***"; 
    color: red;
    font-weight: bold;
}


